#!/bin/bash
function add_config(){
	echo
	echo
	echo
	if grep -q "$1" $2; then
		echo ''
	else
		echo "$1" >> $2
	fi
}
function display_msg(){
	echo
	echo
	echo
	echo "$1"
}

display_msg "Installing necessary libraries"
sudo apt-get install ntfs-3g pmount wireless-tools fbset
sudo apt-get install usbmount

# wget http://ports.ubuntu.com/pool/universe/u/usbmount/usbmount_0.0.22_all.deb
# sudo dpkg -i usbmount_0.0.22_all.deb
# sudo apt-get -f install

display_msg "Setting up logrotate"
sudo cp ../../config/printer.rotate /etc/logrotate.d/nanodlp

display_msg "Enabling SSH"
sudo touch /boot/ssh

display_msg "Enabling NanoDLP Service"
sudo cp nanodlp.service /etc/systemd/system/
sudo systemctl enable nanodlp
sudo systemctl daemon-reload
if [ -f /lib/systemd/system/systemd-udevd.service ]; then 
	sudo sed -i 's/PrivateMounts=yes/PrivateMounts=no/g' /lib/systemd/system/systemd-udevd.service 
	sudo sed -i 's/MountFlags=slave/MountFlags=shared/g' /lib/systemd/system/systemd-udevd.service 
fi
if [ -f /boot/cmdline.txt ]; then 
	sudo sed -i 's/console=tty1/console=tty3 vt.global_cursor_default=0/g' /boot/cmdline.txt
fi

display_msg "You can access your SBC through your favorite browser by IP address below"
hostname -I

display_msg "Restarting your ARM device"
sudo reboot
